/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 22.09.2012
 * @author 
 */

import java.awt.*;

public abstract class GeoObject {

    // Anfang Attribute
    private Color color;
    // Ende Attribute

    public GeoObject() {
        this.color = new Color(0, 0, 0);
    }

    // Anfang Methoden
    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public abstract void draw(Graphics gr);

    // Ende Methoden
} // end of GeoObject
